com.impinj.octane

## Enum HubFaultStatus

- java.lang.Object
- - java.lang.Enum<HubFaultStatus>
  - - com.impinj.octane.HubFaultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HubFaultStatus>

      public enum HubFaultStatus
      extends java.lang.Enum<HubFaultStatus>

  Container class to hold antenna hub fault information
  See Also:
    `AntennaHubStatus.getFault()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disconnected` The antenna hub is disconnected.
    `No_Fault` No known antenna hub fault exists.
    `No_Init` The hub has not yet been initialized.
    `RF_Power` A non-specific RF power distribution error has occurred.
    `RF_Power_On_Hub_1` An RF power distribution error has occurred; RF power is present on Hub 1.
    `RF_Power_On_Hub_2` An RF power distribution error has occurred; RF power is present on Hub 2.
    `RF_Power_On_Hub_3` An RF power distribution error has occurred; RF power is present on Hub 3.
    `RF_Power_On_Hub_4` An RF power distribution error has occurred; RF power is present on Hub 4.
    `Serial_Overflow` A serial communications error has occurred between the reader and the hub controller.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HubFaultStatus` | `valueOf(int hubFaultStatusValue)`
    `static HubFaultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HubFaultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### No_Fault

          public static final HubFaultStatus No_Fault

      No known antenna hub fault exists.

    - #### RF_Power

          public static final HubFaultStatus RF_Power

      A non-specific RF power distribution error has occurred.

    - #### RF_Power_On_Hub_1

          public static final HubFaultStatus RF_Power_On_Hub_1

      An RF power distribution error has occurred; RF power is present on Hub 1.

    - #### RF_Power_On_Hub_2

          public static final HubFaultStatus RF_Power_On_Hub_2

      An RF power distribution error has occurred; RF power is present on Hub 2.

    - #### RF_Power_On_Hub_3

          public static final HubFaultStatus RF_Power_On_Hub_3

      An RF power distribution error has occurred; RF power is present on Hub 3.

    - #### RF_Power_On_Hub_4

          public static final HubFaultStatus RF_Power_On_Hub_4

      An RF power distribution error has occurred; RF power is present on Hub 4.

    - #### No_Init

          public static final HubFaultStatus No_Init

      The hub has not yet been initialized.

    - #### Serial_Overflow

          public static final HubFaultStatus Serial_Overflow

      A serial communications error has occurred between the reader and the hub controller.

    - #### Disconnected

          public static final HubFaultStatus Disconnected

      The antenna hub is disconnected.

  - ### Method Detail

    - #### values

          public static HubFaultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HubFaultStatus c : HubFaultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HubFaultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HubFaultStatus valueOf(int hubFaultStatusValue)

      Parameters:
        `hubFaultStatusValue` - the integer value of the fault status
      Returns:
        the enumeration object for the specified integer value

    - #### getValue

          public int getValue()

      Returns:
        the enumeration as an integer value